For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve Topic

Returns the topic by ID.

get
/clusters/{clusterId}/topics/{topicId}
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
topicIdstring · uuidRequired

The ID (UUID) of the topic.

Example: ae085c4c-3626-5f1d-b4bc-cc53ae8267ce
Responses
200

Getting topic was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the Topic.

Example: ae085c4c-3626-5f1d-b4bc-cc53ae8267ce
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the Topic.

Example: /clusters/{clusterId}/topics/ae085c4c-3626-5f1d-b4bc-cc53ae8267ce
get/clusters/{clusterId}/topics/{topicId}
GET /clusters/{clusterId}/topics/{topicId} HTTP/1.1
Host: kafka.de-txl.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "ae085c4c-3626-5f1d-b4bc-cc53ae8267ce",
  "type": "topic",
  "href": "/clusters/{clusterId}/topics/ae085c4c-3626-5f1d-b4bc-cc53ae8267ce",
  "metadata": {
    "createdDate": "2020-12-10T13:37:50+01:00",
    "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedDate": "2020-12-11T13:37:50+01:00",
    "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
    "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
    "state": "AVAILABLE",
    "message": "In progress."
  },
  "properties": {
    "name": "my-kafka-cluster-topic",
    "replicationFactor": 3,
    "numberOfPartitions": 3,
    "logRetention": {
      "retentionTime": 604800000,
      "segmentBytes": 1073741824
    }
  }
}

Last updated

Was this helpful?